Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.event.uricontent
Class DoContentEventParam

    java.lang.Object
      org.mozilla.jrex.event.uricontent.DoContentEventParam

public class DoContentEventParam
extends Object

The class wrapping the DoContent event parameters.

Version:
  1.0
Author:
  C.N.Medappa

Constructor Summary
`DoContentEventParam(boolean isContentPreferred, String contentType, String reqName, int reqStatus, boolean isReqPending)` DoContentEventParam constructor

Method Summary
`String` | `getContentType()` Returns the content type of the request.
`String` | `getRequestName()` Returns the request URI.
`int` | `getRequestStatus()` Returns the status of request.
`boolean` | `isContentPreferred()` Returns whether content type is preferred.
`boolean` | `isRequestPending()` Returns `true` if request is pending.
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DoContentEventParam

    public DoContentEventParam(boolean isContentPreferred,
                               String contentType,
                               String reqName,
                               int reqStatus,
                               boolean isReqPending)

  DoContentEventParam constructor

Parameters:
  `isContentPreferred` - `true` if content type is preferred.
  `contentType` - content type of the request.
  `reqName` - request URI.
  `reqStatus` - status of request.
  `isReqPending` - `true` if request is pending.
See Also:
  `URIContentEventConstants`

Method Detail

### isContentPreferred

    public boolean isContentPreferred()

  Returns whether content type is preferred.

### getContentType

    public String getContentType()

  Returns the content type of the request.

### getRequestName

    public String getRequestName()

  Returns the request URI.

### getRequestStatus

    public int getRequestStatus()

  Returns the status of request.

### isRequestPending

    public boolean isRequestPending()

  Returns `true` if request is pending.

### toString

    public String toString()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.